import React from "react";
import { IndexRoute, Route, Router, hashHistory as history } from "react-router";
import ConfirmBattleContainer from "../containers/ConfirmBattleContainer";
import Main from "../components/Main";
import Home from "../components/Home";
import PromptContainer from "../containers/PromptContainer";
import ResultsContainer from "../containers/ResultsContainer";

const routes = (
  <Router history={history}>
    <Route path="/" component={Main}>
      <IndexRoute component={Home} />
      <Route path="playerOne" component={PromptContainer} header="Player One" />
      <Route path="playerTwo/:playerOne" component={PromptContainer} header="Player Two" />
      <Route path="battle" component={ConfirmBattleContainer} />
      <Route path="results" component={ResultsContainer} />
    </Route>
  </Router>
);

export default routes;
